nxt.db

## Class DbClause

- java.lang.Object
- - nxt.db.DbClause

- Direct Known Subclasses:
    DbClause.BooleanClause, DbClause.ByteClause, DbClause.BytesClause, DbClause.FixedClause, DbClause.HashClause, DbClause.IntClause, DbClause.LikeClause, DbClause.LongClause, DbClause.NotNullClause, DbClause.NullClause, DbClause.StringClause

      public abstract class DbClause
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DbClause.BooleanClause`
    `static class` | `DbClause.ByteClause`
    `static class` | `DbClause.BytesClause`
    `static class` | `DbClause.FixedClause`
    `static class` | `DbClause.HashClause`
    `static class` | `DbClause.IntClause`
    `static class` | `DbClause.LikeClause`
    `static class` | `DbClause.LongClause`
    `static class` | `DbClause.NotNullClause`
    `static class` | `DbClause.NullClause`
    `static class` | `DbClause.Op`
    `static class` | `DbClause.StringClause`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DbClause` | `EMPTY_CLAUSE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DbClause(java.lang.String clause)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DbClause` | `and(DbClause other)`
    `protected abstract int` | `set(java.sql.PreparedStatement pstmt, int index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_CLAUSE

          public static final DbClause EMPTY_CLAUSE

  - ### Constructor Detail

    - #### DbClause

          protected DbClause(java.lang.String clause)

  - ### Method Detail

    - #### set

          protected abstract int set(java.sql.PreparedStatement pstmt,
                                     int index)
                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### and

          public DbClause and(DbClause other)